<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Notification;
use App\Models\UserToken;
use App\User;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class NotificationsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('admin.notifications.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name_ar' => 'required',
            'name_en' => 'required',
            'body_ar' => 'required',
            'body_en' => 'required'
        ]);

        $users = User::whereStatus('active')->get();
        foreach ($users as $user) {

            $notification = new Notification();
            $notification['user_id'] = $user->id;
            $notification['title->ar'] = $request['name_ar'];
            $notification['title->en'] = $request['name_en'];
            $notification['body->en'] = $request['body_en'];
            $notification['body->ar'] = $request['body_ar'];
            $notification['type'] = 'admin';
            $notification->save();
        }


        $push = new PushNotification('fcm');

        $all_tokens = UserToken::where('status', 'connected')->get();


        foreach ($all_tokens as $token) {

            if ($token->device_type == 'ios')
            {
                $msg = [
                    'data' => [
                        'title_ar' => $request['name_ar'],
                        'title_en' => $request['name_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => $notification->type,
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'notification' => [
                        'title_ar' => $request['name_ar'],
                        'title_en' => $request['name_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => $notification->type,
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token)
                    ->send();

            }
            else {
                $msg = [
                    'data' => [
                        'title_ar' => $request['name_ar'],
                        'title_en' => $request['name_en'],
                        'body_ar' => $request['body_ar'],
                        'body_en' => $request['body_en'],
                        'type' => $notification->type,
                        'sound' => 'default',
                        'click_action' => 'FCM_PLUGIN_ACTIVITY',
                    ],
                    'priority' => 'high',
                ];
                $push->setMessage($msg)
                    ->setDevicesToken($token)
                    ->send();

            }


        }
        return redirect()->back()->with('message', 'تم إرسال الإشعارات بنجاح');


    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
