<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class NotificationResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'title' => $this->title[$lang],
            'body' => $this->body[$lang],
            'product_id' => $this->product_id ? (integer)$this->product_id : 0,
            'follower_id' => $this->follower_id ? (integer)$this->follower_id : 0,
            'type' => $this->type ? $this->type : '',
            'created_at' => $this->created_at->diffForHumans(),
        ];
    }
}
