<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class ProfileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'name' => $this->name ? $this->name : '',
            'email' => $this->email ? $this->email : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'online' => $this->online,
            'status' => $this->status,
            'verified' => $this->verified ? $this->verified : '',
            'created_at' => $this->created_at->diffForHumans(),
            'lat' => $this->lat ? $this->lat : '',
            'lng' => $this->lng ? $this->lng : '',
            'vip' => $this->vip ? $this->vip : '',
            'total_rates' => $this->total_rates,
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'country_code_id' => $this->country_code_id ? (integer)$this->country_code_id : 0,
            'products' => ProductsResource::collection($this->product),
        ];
    }
}
