@extends('web.layouts.master')
@section('contents')


    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title">أضف اعلانك الان</h3>
        </div>
    </section>
    <!-- end page title -->

    <!-- start brands  -->
    <section class="commission-block">
        <div class="container">
            <div class="main-content grey-bg">
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="title">
                            <h3 class="no-psedu wow fadeInDown">أضف اعلانك الان</h3>
                        </div>
                        <div class="commission-form custom wow fadeInUp">
                            <form action="{{route('product.store')}}" method="post"
                                 enctype="multipart/form-data" >
                                @csrf
                                <div class="row form-group d-flex">
                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">اختر نوع الاعلان :</label>
                                        <select name="ads_type" id="ad_type" class="custom-select form-control"
                                                required>
                                            <option value="null">أختر نوع الإعلان</option>

                                            @foreach($ad_types as $type)
                                                <option
                                                    value="{{$type->id}}">{{$type->name[\App::getLocale()]}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('ads_type'))
                                            <small class="text-danger">{{ $errors->first('ads_type') }}</small>
                                        @endif

                                    </div>


                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">اختر المنطقة :</label>
                                        <select name="city_id" id="city_parent" class="custom-select form-control"
                                                required>

                                            <option value="null" selected>اختر المنطقة</option>
                                            @foreach($cities as $city)
                                                <option
                                                    value="{{$city->id}}">{{$city->name[\App::getLocale()]}}</option>

                                            @endforeach

                                        </select>
                                        @if ($errors->has('city_id'))
                                            <small class="text-danger">{{ $errors->first('city_id') }}</small>
                                        @endif
                                    </div>


                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">اختر الحى :</label>
                                        <select name="county_id" id="hay" class="custom-select form-control"
                                                required>

                                            <option></option>

                                        </select>
                                        @if ($errors->has('county_id'))
                                            <small class="text-danger">{{ $errors->first('county_id') }}</small>
                                        @endif
                                    </div>


                                </div>
                                <!-- start upload imgs -->
                                <p class="col-12 label right">ارفع صور الاعلان</p>
                                <div class="row form-group d-flex">

                                    <div class="col-md-12 col-lg-12">
                                        <div class="item-upload">
                                            <div class="item-edit">
                                                <div class="item-preview">
                                                    <img class="img-fluid" id="previewImage03"
                                                         src="{{asset('web/img/dynamic/icons/photo.png')}}"
                                                         alt="your image"/>
                                                    <span class="upload-text" id="item3">ارفع صور الاعلان</span>
                                                </div>
                                                <input type='file' name="images[]" id="file03" class="btn-inputfile"
                                                       accept="image/*" multiple/>
                                                <label for="file03"></label>
                                            </div>

                                            @if ($errors->has('images'))
                                                <small class="text-danger">{{ $errors->first('images') }}</small>
                                            @endif
                                        </div>

                                    </div>
                                </div>
                                <!-- end upload imgs -->
                                <div class="col-md-12 form-group">
                                    <label for="" class="label">عنوان الاعلان :</label>
                                    <input type="text" name="title" maxlength="191" class="form-control"
                                           placeholder="عنوان الاعلان" required>
                                    @if ($errors->has('title'))
                                        <small class="text-danger">{{ $errors->first('title') }}</small>
                                    @endif
                                </div>


                                <div class="row form-group d-flex">
                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">قسم رئيسي :</label>
                                        <select name="grand_id" id="grand_category" class="custom-select form-control"
                                                required>
                                            <option value="null"> برجاء اختيار نوع الإعلان</option>
                                            @foreach($categories as $category)
                                                <option value="{{$category->id}}"
                                                >{{$category->name[\App::getLocale()]}}</option>
                                            @endforeach
                                        </select>
                                        @if ($errors->has('grand_id'))
                                            <small class="text-danger">{{ $errors->first('grand_id') }}</small>
                                        @endif

                                    </div>

                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">قسم متفرع :</label>
                                        <select name="parent_id" id="parent_category" class="custom-select form-control"
                                                required>
                                        </select>
                                        @if ($errors->has('parent_id'))
                                            <small class="text-danger">{{ $errors->first('parent_id') }}</small>
                                        @endif
                                    </div>


                                    <div class="col-md-6 single-slc">
                                        <label for="" class="label">قسم متفرع :</label>
                                        <select name="category_id" id="child_category"
                                                class="custom-select form-control"
                                                required>
                                            <option>
                                            </option>
                                        </select>
                                        @if ($errors->has('category_id'))
                                            <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                        @endif

                                    </div>

                                </div>
                                <div class="col-md-12 form-group list">
                                    <p class="label-text">هل ترغب إخفاء رقم الجوال ؟</p>
                                    <ul class="list-unstyled">
                                        <li class="list-option inline">
                                            <input type="radio" value="true" class="radio-btn show_mobile_false"
                                                    name="hide_mobile" id="e-opt1">
                                            <label for="e-opt1" class="label sm-pading">نعم</label>
                                        </li>
                                        <li class="list-option inline">
                                            <input type="radio" value="false" class="radio-btn show_mobile_true"
                                                   checked     name="hide_mobile" id="e-opt2">
                                            <label for="e-opt2" class="label sm-pading">لا</label>
                                        </li>
                                    </ul>
                                    @if ($errors->has('hide_mobile'))
                                        <small class="text-danger">{{ $errors->first('hide_mobile') }}</small>
                                    @endif
                                </div>


                                <div class="col-md-12 form-group" id="mobile_product">
                                    <label for="" class="label">رقم الجوال أو وسيلة التواصل :</label>
                                    <input type="text" name="mobile" class="form-control" placeholder="0096650000000"
                                           >
                                    @if ($errors->has('mobile'))
                                        <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                    @endif

                                </div>


                                <div class="row form-group d-flex list">
                                    <div class="col-md-6 car_options">
                                        <p class="label-text">نوع الاعلان ؟</p>
                                        <ul class="list-unstyled">
                                            <li class="list-option inline">
                                                <input type="radio" value="buy" class="radio-btn" name="ad_type"
                                                       id="a-opt1">
                                                <label for="a-opt1" class="label sm-pading">بيع</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" value="waiver" class="radio-btn" name="ad_type"
                                                       id="a-opt2">
                                                <label for="a-opt2" class="label sm-pading">تنازل</label>
                                            </li>
                                        </ul>
                                        @if ($errors->has('ad_type'))
                                            <small class="text-danger">{{ $errors->first('ad_type') }}</small>
                                        @endif
                                    </div>

                                    <div class="col-md-6 car_options">
                                        <p class="label-text">نوع القير ؟</p>
                                        <ul class="list-unstyled list">
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="automatic" name="fetis"
                                                       id="b-opt1">
                                                <label for="b-opt1" class="label sm-pading">اتوماتيك</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="manual" name="fetis"
                                                       id="b-opt2">
                                                <label for="b-opt2" class="label sm-pading">عادي</label>
                                            </li>
                                        </ul>
                                    </div>
                                    @if ($errors->has('fetis'))
                                        <small class="text-danger">{{ $errors->first('fetis') }}</small>
                                    @endif
                                </div>

                                <div class="row form-group d-flex list">
                                    <div class="col-md-6 car_options">
                                        <p class="label-text">نوع الوقود ؟</p>
                                        <ul class="list-unstyled">
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="gasoline" name="fuel"
                                                       id="c-opt1">
                                                <label for="c-opt1" class="label sm-pading">ينزين</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="diesel" name="fuel"
                                                       id="c-opt2">
                                                <label for="c-opt2" class="label sm-pading">ديزيل</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="hybrid" name="fuel"
                                                       id="c-opt3">
                                                <label for="c-opt3" class="label sm-pading">هجين</label>
                                            </li>
                                        </ul>
                                        @if ($errors->has('fuel'))
                                            <small  class="text-danger">{{ $errors->first('fuel') }}</small>
                                        @endif
                                    </div>

                                    <div class="col-md-6 car_options">
                                        <p class="label-text">الحالة ؟</p>
                                        <ul class="list-unstyled">
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="new" name="car_status"
                                                       id="c-opt11">
                                                <label for="c-opt11" class="label sm-pading">جديد</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="used" name="car_status"
                                                       id="c-opt12">
                                                <label for="c-opt12" class="label sm-pading">مستعمل</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="accident" name="car_status"
                                                       id="c-opt13">
                                                <label for="c-opt13" class="label sm-pading">حادثة</label>
                                            </li>
                                        </ul>
                                        @if ($errors->has('car_status'))
                                            <small class="text-danger">{{ $errors->first('car_status') }}</small>
                                        @endif
                                    </div>

                                    <div class="col-md-6 list car_options">
                                        <p class="label-text">دبل ؟</p>
                                        <ul class="list-unstyled">
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="true" name="double"
                                                       id="d-opt1">
                                                <label for="d-opt1" class="label sm-pading">نعم</label>
                                            </li>
                                            <li class="list-option inline">
                                                <input type="radio" class="radio-btn" value="false" name="double"
                                                       id="d-opt2">
                                                <label for="d-opt2" class="label sm-pading">لا</label>
                                            </li>
                                        </ul>
                                    </div>
                                    @if ($errors->has('double'))
                                        <small class="text-danger">{{ $errors->first('double') }}</small>
                                    @endif
                                </div>

                                <div class="col-md-12 single-slc car_options">
                                    <label for="" class="label">الموديل : </label>
                                    <select name="year" id="year" class="custom-select form-control">
                                        <option value="null">برجاء اختيار سنة الموديل</option>
                                        @for($i = 1970 ; $i <= 2020 ; $i ++)
                                         <option value="{{$i}}">{{$i}}</option>
                                            @endfor
                                    </select>
                                    @if ($errors->has('year'))
                                        <small class="text-danger">{{ $errors->first('year') }}</small>
                                    @endif
                                </div>

                                <div class="col-md-12 form-group car_options">
                                    <label for="" class="label">العداد :</label>
                                    <input type="text" class="form-control" maxlength="191" name="km"
                                           placeholder="0000 كم">
                                    @if ($errors->has('km'))
                                        <small class="text-danger">{{ $errors->first('km') }}</small>
                                    @endif
                                </div>

                                <div class="col-md-12 form-group list">
                                    <p class="label-text">هل ترغب في تحديد السعر؟</p>
                                    <ul class="list-unstyled">
                                        <li class="list-option inline">
                                            <input type="radio" value="true" class="radio-btn determine_price_true"
                                                   checked name="determine_price" id="e-opt5">
                                            <label for="e-opt5" class="label sm-pading">نعم</label>
                                        </li>
                                        <li class="list-option inline">
                                            <input type="radio" value="false" class="radio-btn determine_price_false"
                                                   name="determine_price" id="e-opt6">
                                            <label for="e-opt6" class="label sm-pading">لا</label>
                                        </li>
                                    </ul>
                                    @if ($errors->has('determine_price'))
                                        <small class="text-danger">{{ $errors->first('determine_price') }}</small>
                                    @endif
                                </div>

                                <div class="col-md-12 form-group" id="show_price">
                                    <label for="" class="label">السعر :</label>
                                    <input type="text" class="form-control" maxlength="191" name="price"
                                           placeholder="10000">
                                    @if ($errors->has('price'))
                                        <small class="text-danger">{{ $errors->first('price') }}</small>
                                    @endif
                                </div>


                                <div class="col-md-12 form-group">
                                    <label for="" class="label">نص الاعلان :</label>
                                    <textarea class="form-control" name="detail" placeholder="اكتب النص هنا"
                                              required></textarea>
                                    @if ($errors->has('detail'))
                                        <small class="text-danger">{{ $errors->first('detail') }}</small>
                                    @endif
                                </div>

                                <div class="col-md-12 form-group">
                                    <h4 class="title main-color">اتفاقية العمولة</h4>
                                    <div class="text grey-bg">
                                        <p>بسم الله الرحمن الرحيم</p>
                                        <p>قال الله تعالى:
                                            "وَأَوْفُوا بِعَهْدِ اللَّهِ إِذَا عَاهَدتُّمْ وَلَا تَنقُضُوا الْأَيْمَانَ
                                            بَعْدَ تَوْكِيدِهَا وَقَدْ جَعَلْتُمُ اللَّهَ عَلَيْكُمْ كَفِيلًا"
                                            صدق الله العظيم
                                        </p>
                                    </div>
                                </div>
                                <div class="form-group col-12">
                                    <div class="check-form-div">
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" name="swear" class="custom-control-input"
                                                   id="remmember-swear">
                                            <label class="custom-control-label" for="remmember-swear">
                                                أتعهد و أقسم بالله أنا المعلن أن أ دفع عمولة الموقع وهى 1% من قيمة البيع
                                                سواء، تم البيع عن طريقالموقع أو بسببه.
                                                كما أتعهد بدفع العمولة خلال 10 أيام من استلام كامل مبلغ المبايعة
                                            </label>
                                        </div>
                                        @if ($errors->has('swear'))
                                            <small class="text-danger">{{ $errors->first('swear') }}</small>
                                        @endif
                                    </div>

                                    <p class="note">ملاحظة: عمولة الموقع هى على المعلن ولا تبرأ ذمة المعلن من العمولة
                                        الا في حال دفعها.</p>
                                </div>
                                <input type="hidden" name="lat" id="lat" value="">
                                <input type="hidden" name="lng" id="lng" value="">

                                <div class="col-12 center wow fadeInUp">
                                    <button type="submit" class="btn btn-main btn-hover full-width-btn">
                                        ارسال الاعلان
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->



@stop

@section('script')
    <script>
        window.onload = function () {
            $(".car_options").hide();
            if (navigator.geolocation) {
                navigator.geolocation.getCurrentPosition(showPosition);
            } else {
                x.innerHTML = "Geolocation is not supported by this browser.";
            }

            function showPosition(position) {
                $('#lat').val(position.coords.latitude);
                $('#lng').val(position.coords.longitude);
            }
        };

        $(".show_mobile_false").on('click', function () {
            $("#mobile_product").hide();
        });
        $(".show_mobile_true").on('click', function () {
            $("#mobile_product").show();

        });
        $(".determine_price_true").on('click', function () {
            $("#show_price").show();
        });
        $(".determine_price_false").on('click', function () {
            $("#show_price").hide();
        });




        $("#ad_type").on('change', function () {
            var ad_type = $("#ad_type").val();
            console.log(ad_type);
            $.ajax({
                type: 'POST',
                url: '{{route('grand_categories_ajax')}}',
                data: {ad_type: ad_type},

                success: function (data) {
                    console.log(data.grand_view);
                    console.log(data.parent_view);
                    if (data.car_option === 'true') {
                        $(".car_options").show();
                    } else {
                        $(".car_options").hide();
                    }

                    $("#grand_category").html('');
                    $("#grand_category").append(data.grand_view);
                    $("#parent_category").append(data.parent_view);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });
        });
        $("#grand_category").on('change', function () {
            var category_id = $("#grand_category").val();
            $.ajax({
                type: 'GET',
                url: '{{route('get_parent_categories_ajax')}}',
                data: {category_id: category_id},

                success: function (data) {
                    console.log(data.parent_view);
                    console.log(data.car_option);
                    if (data.car_option === 'true') {
                        $(".car_options").show();
                    } else {
                        $(".car_options").hide();
                    }

                    $("#parent_category").html('');
                    $("#parent_category").append(data.parent_view);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });
        });

        $("#parent_category").on('change', function () {
            var category_id = $("#parent_category").val();
            $.ajax({
                type: 'GET',
                url: '{{route('get_categories_ajax')}}',
                data: {category_id: category_id},

                success: function (data) {
                    console.log(data.child_view);
                    if (data.car_option === 'true') {
                        $(".car_options").show();
                    } else {
                        $(".car_options").hide();
                    }
                    $("#child_category").html('');
                    $("#child_category").append(data.child_view);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });
        });
        $("#city_parent").on('change', function () {
            var city_id = $("#city_parent").val();
            $.ajax({
                type: 'GET',
                url: '{{route('get_cities_ajax')}}',
                data: {city_id: city_id},

                success: function (data) {
                    console.log(data.cities_view);

                    $("#hay").html('');
                    $("#hay").append(data.cities_view);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    errorFunction();
                }
            });
        });


    </script>





@stop
